AutoCAD 2010/2011/2012

Reply
Mentor
The_Caddie
Posts: 208
Registered: ‎06-08-2010
Message 1 of 4 (989 Views)
Accepted Solution

3D pipes AutoCAD 2010

989 Views, 3 Replies
06-22-2012 12:20 AM

Silly question.

 

Is there a command to draw 3d pipes in AutoCAD 2010?

*Expert Elite*
dgorsman
Posts: 5,247
Registered: ‎10-12-2006
Message 2 of 4 (911 Views)

Re: 3D pipes AutoCAD 2010

06-22-2012 12:59 PM in reply to: The_Caddie

Define "pipes"...

----------------------------------
If you are going to fly by the seat of your pants, expect friction burns.
Adopt. Adapt. Overcome. Or be overcome.
A good question will be halfway to a good answer.


*Expert Elite*
JDMather
Posts: 26,570
Registered: ‎04-20-2006
Message 3 of 4 (899 Views)

Re: 3D pipes AutoCAD 2010

06-22-2012 06:10 PM in reply to: The_Caddie

Something like this?

http://home.pct.edu/~jmather/content/CAD238/AutoCAD%202007%20Tutorial%208.pdf

Please mark this response as "Accept as Solution" if it answers your question.
-----------------------------------------------------------------------------------------
Autodesk Inventor 2014 Certified Professional
Autodesk AutoCAD 2013 Certified Professional
Certified SolidWorks Professional
Inventor Professional 2015 64-bit
http://www.autodesk.com/edcommunity
http://home.pct.edu/~jmather/content/DSG322/inventor_surface_tutorials.htm
Mentor
The_Caddie
Posts: 208
Registered: ‎06-08-2010
Message 4 of 4 (778 Views)

Re: 3D pipes AutoCAD 2010

06-26-2012 01:47 AM in reply to: JDMather

Yeah just automated. worked on the following this weekend , seams to do the job.

 

			(DEFUN c:MY3DPipeline ()

				(setq oldlayer (getvar "clayer"))


  				(if (= (tblsearch "layer" "Legend") nil)
  				(command "layer" "make" "3D Pipeline" "color" "40" "" "lt" "continuous" "" ""))

			
				(setq MYDIAMETER (getstring "\nEnter a diameter size: "))
				(setq MYPOINT (getpoint "\nIndicate a path to follow: "))
				(COMMAND "CIRCLE" MYPOINT "DIAMETER" MYDIAMETER)
				(setq MYPICK1 (entLAST))
				(COMMAND "_.PLINE" MYPOINT )

				(setq MYPICK2 (entLAST))

				(while (> (getvar 'cmdactive) 0)
				(command pause)
				)

				(cOMMAND "SWEEP" MYPICK1 "" MYPICK2)

				;(entdel (MYPICK2))

				(princ "Pipeline successfully placed…")

				(setvar "CLAYER" OLDLAYER))

  works for uor needs

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.